#ifndef _IRCD_H_

#define _IRCD_H_

#include <stdio.h>
#include <stdlib.h>
#include <sys/time.h>
#include <unistd.h>
#include <netdb.h>
#include <dlfcn.h>
#include <sys/socket.h>
#include <sys/types.h>
#include <errno.h>
#include <limits.h>
#include "chunkyircd.h"

/* should be about 1/3 of the ping time */
#define SELECT_SECS 10
#define MAX_CONNS 2000

/* Wrapper round fd's */
struct fd_wrap {
	ClientInfo client;
	ServerInfo server;
	struct tempinfo *temp;
	int res_id;
};


extern struct fd_wrap fd_list[MAX_CONNS];
extern int highest_fd;

/* each fd has a structure like this assigned to it */
/* if one is in use, the other is NULL */
/* Main entry point */
int serve_clients(int []);

#endif
